Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.server
Class AtomMediaResource

    java.lang.Object
      com.sun.syndication.propono.atom.server.AtomMediaResource

    public class AtomMediaResource

extends Object

Represents a media link entry.

Constructor Summary
`AtomMediaResource(File resource)`
`AtomMediaResource(String name, long length, Date lastModified, InputStream is)`

Method Summary
`long` | `getContentLength()`
`String` | `getContentType()`
`InputStream` | `getInputStream()`
`Date` | `getLastModified()`
`void` | `setContentLength(long contentLength)`
`void` | `setContentType(String contentType)`
`void` | `setInputStream(InputStream inputStream)`
`void` | `setLastModified(Date lastModified)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomMediaResource

    public AtomMediaResource(File resource)
                      throws FileNotFoundException

Throws:
  `FileNotFoundException`

### AtomMediaResource

    public AtomMediaResource(String name,
                             long length,
                             Date lastModified,
                             InputStream is)
                      throws FileNotFoundException

Throws:
  `FileNotFoundException`

Method Detail

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

### getContentLength

    public long getContentLength()

### setContentLength

    public void setContentLength(long contentLength)

### getInputStream

    public InputStream getInputStream()

### setInputStream

    public void setInputStream(InputStream inputStream)

### getLastModified

    public Date getLastModified()

### setLastModified

    public void setLastModified(Date lastModified)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD